stages:
  - validate
  - release
  - renovate_bot

include:
  - local: .gitlab-ci-asdf-versions.yml

  # This template should be included in all Infrastructure projects.
  # It includes standard checks, gitlab-scanners, validations and release processes
  # common to all projects using this template library.
  # see https://gitlab.com/gitlab-com/gl-infra/common-ci-tasks/-/blob/main/README.md#templatesstandardyml
  - project: 'gitlab-com/gl-infra/common-ci-tasks'
    ref: v2.25{# datasource=gitlab-tags depName=gitlab-com/gl-infra/common-ci-tasks #}  # renovate:managed
    file: templates/standard.yml
{% if golang %}

  # Runs golang standard tests, including tests, goreleaser, golangci-lint and go-mod-tidy
  # see https://gitlab.com/gitlab-com/gl-infra/common-ci-tasks/-/blob/main/templates/golang.md
  - project: 'gitlab-com/gl-infra/common-ci-tasks'
    ref: v2.25{# datasource=gitlab-tags depName=gitlab-com/gl-infra/common-ci-tasks #}  # renovate:managed
    file: templates/golang.yml
{% endif %}
{% if terraform %}

  # This template should be included in all Infrastructure projects.
  # It includes standard checks, gitlab-scanners, validations and release processes
  # common to all projects using this template library.
  # see https://gitlab.com/gitlab-com/gl-infra/common-ci-tasks/-/blob/main/templates/standard.md
  - project: 'gitlab-com/gl-infra/common-ci-tasks'
    ref: v2.25{# datasource=gitlab-tags depName=gitlab-com/gl-infra/common-ci-tasks #}  # renovate:managed
    file: templates/terraform.yml
{% endif %}
